// buynow.js is dependent on buyNowModule.js
loadJS();

window.onload=function(){
    $.support.cors = true;
    // loadJS();
    localizePage();
    setSize();

    var xafc = urlParseModule.getURLParameter("afc");
    var xsession = urlParseModule.getURLParameter("session");
    var xsecsession = urlParseModule.getURLParameter("secure_session");
    var xplanid = urlParseModule.getURLParameter("plan_id");
    // Change api calling server address according to version.
    var xurl = urlParseModule.getURLParameter("trans_server_url");
    var xlocale = urlParseModule.getURLParameter("locale");
    xlocale = xlocale.replace("-", "_");
    // var addressCode = urlParseModule.getURLParameter("address_code") ? urlParseModule.getURLParameter("address_code") : "US";
    // var xlang = xlocale.split("_")[0] + "_" + addressCode;


    // getBuynowPage();
    $.ajax({
        url: xurl + '/API/v1/Member?locale='+xlocale,
        type: 'PUT',
        dataType: 'json',
        success: getBuynowPage,
        error: buyNowErrorCallback,
        headers: {
            "X-AFC" : xafc,
            "X-Session" : xsession,
            "X-Secure-Session" : xsecsession
        }

    });
};

String.prototype.endsWith = function(suffix) {
    return this.indexOf(suffix, this.length - suffix.length) !== -1;
};

var handleMessage = function(event) {
    if (!event) return false

    var parser = document.createElement("a");
    parser.href = event.origin;

    switch (event.data) {
        case "iframe-ready":
            var win = document.getElementById("buyframe").contentWindow;
            var xcoupon = urlParseModule.getURLParameter("coupon") || urlParseModule.getURLParameter("code");
            win.postMessage(JSON.stringify({
                name: "init-page",
                coupon_code: xcoupon
            }), "*");
            break;
        case "scroll-to-top":
            typeof window.scrollTo === "function" && window.scrollTo(0, 0);
            break;
        case "coupon-show-link":
            window.location.href = "sketchbook://banner/event?type=clicked&id=promo-code";
            break;
        case "coupon-apply-start":
            window.location.href = "sketchbook://banner/event?type=clicked&id=promo-code-apply";
            break;
        case "coupon-apply-done":
            window.location.href = "sketchbook://banner/event?type=others&id=promo-code-success";
            break;
    }

    if (parser.hostname.endsWith(".squidplatform.com") || parser.hostname.endsWith(".123dapp.com") || parser.hostname.endsWith(".acg.autodesk.com")) {
      if (Object == event.data.constructor) {
        if ("mixpanel.track" == event.data["eventType"]) {
          var eventName = event.data["eventName"];
          var eventProperties = {};
          var propertyName = event.data["propertyName"];
          if (propertyName) {
            var propertyValue = event.data["propertyValue"];
            if ("@monthOrYear" == propertyValue) {
              propertyValue = "month";
            }
            eventProperties[propertyName] = propertyValue;
          }
          if(eventName === "confirm billing address"){
            window.location.href = "sketchbook://banner/event?type=clicked&id=confirm-billing-address";
          }
        }
      }
    }
}

if (window.addEventListener) {
    window.addEventListener("message", handleMessage, false);
} else {
    window.attachEvent("message", handleMessage);
}

function getBuynowPage(){
    var xafc = urlParseModule.getURLParameter("afc");
    var xsession = urlParseModule.getURLParameter("session");
    var xsecsession = urlParseModule.getURLParameter("secure_session");
    var xplanid = urlParseModule.getURLParameter("plan_id");
    // Change api calling server address according to version.
    var xurl = urlParseModule.getURLParameter("trans_server_url");
    buyNowModule.buynow(xurl, xplanid, xafc, xsession, xsecsession, buyNowSuccessCallback, buyNowErrorCallback);
}

function loadJS(){
    var locale = urlParseModule.getURLParameter("locale") ? urlParseModule.getURLParameter("locale") : 'en-us';
    // locale = locale.toLowerCase();
    locale = sb_util.getLocaleFolder(locale);
    sb_util.loadjscssfile("../lang/" + locale + "/lan_buynow.js", "js", localizePage);
};

function localizePage(){
    $("#apply_button").text(lan_buynow["apply_button"]);
    $("#code_success").text(lan_buynow["code_success"]);
    $("#code_fail").text(lan_buynow["code_fail"]);
    $("#buynow_1").text(lan_buynow["buynow_1"]);
};

function setSize(){
    var height = window.innerHeight = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
    document.body.style.height = height + "px";
    $("#s_content_short").height(height);

};

function hideFrame(){
    if(!$('#buyframe').hasClass('mhide')){
        $("#buyframe").addClass('mhide');
    }
};

function showLoading(){
    if($('#div_loading').hasClass('mhide')){
        $('#div_loading').removeClass('mhide');
    }
};

function buyNowSuccessCallback(data) {
    var buynowurl = data.BUYNOW_URL + "&in_app=true&t=SKETCH_4";
    $('#s_content_short').append("<iframe id='buyframe' class='mhide' frameBorder='0' onload='showFrame();' src='" + buynowurl +"'></iframe>");
    $("#buyframe").height($("#s_content_short").height());
};

function buyNowErrorCallback(jqXHR, textStatus, errorThrown) {
    // console.dir(textStatus);
    var locale = urlParseModule.getURLParameter("locale") ? urlParseModule.getURLParameter("locale") : 'en-us';
    var folder = "html";
    if (jqXHR.status === 0) {
        // console.log('Not connect.\n Verify Network.');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_internet.html?locale=" + locale + "'></iframe>");
    } else if (jqXHR.status == 404) {
        // console.log('Requested page not found. [404]');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_server.html?locale=" + locale + "'></iframe>");
    } else if (jqXHR.status == 500) {
        // console.log('Internal Server Error [500].');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_server.html?locale=" + locale + "'></iframe>");
    } else if (textStatus === 'parsererror') {
        // console.log('Requested JSON parse failed.');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_server.html?locale=" + locale + "'></iframe>");
    } else if (textStatus === 'timeout') {
        // console.log('Time out error.');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_server.html?locale=" + locale + "'></iframe>");
    } else if (textStatus === 'abort') {
        // console.log('Ajax request aborted.');
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_server.html?locale=" + locale + "'></iframe>");
    } else {
        // console.log("error");
        $('#s_content_short').append("<iframe id='no_internet_frame' class='mhide' frameBorder='0' scrolling='no' onload='showNoInternetFrame();' src='../" + folder + "/fail_internet.html?locale=" + locale + "'></iframe>");
    }

};

function showFrame(){
    // console.log("iframe onload");
    if(!$('#div_loading').hasClass('mhide')){
        $('#div_loading').addClass('mhide');
    }
    // $('#loadingImg').css('visibility','hidden');
    if($('#buyframe').hasClass('mhide')){
        $("#buyframe").removeClass('mhide');
    }
};

function showNoInternetFrame(){
    if(!$('#div_loading').hasClass('mhide')){
        $('#div_loading').addClass('mhide');
    }
    if($('#no_internet_frame').hasClass('mhide')){
        $("#no_internet_frame").removeClass('mhide');
    }
};

function OnImageLoad(evt)
{
    $("#loadingImg").height($("#div_loading").height());
    $("#loadingImg").css('visibility', 'visible');
};


// SIG // Begin signature block
// SIG // MIIbQgYJKoZIhvcNAQcCoIIbMzCCGy8CAQExDzANBglg
// SIG // hkgBZQMEAgEFADB3BgorBgEEAYI3AgEEoGkwZzAyBgor
// SIG // BgEEAYI3AgEeMCQCAQEEEBDgyQbOONQRoqMAEEvTUJAC
// SIG // AQACAQACAQACAQACAQAwMTANBglghkgBZQMEAgEFAAQg
// SIG // wVKoaPwGoEXA6gEZbAB5kpJdIAh6KTNwaSIbQFoILcWg
// SIG // ggoWMIIExzCCA6+gAwIBAgIQRmNneUwfS2axMLvf4itE
// SIG // 1TANBgkqhkiG9w0BAQsFADCBhDELMAkGA1UEBhMCVVMx
// SIG // HTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8w
// SIG // HQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMTUw
// SIG // MwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAzIFNIQTI1NiBD
// SIG // b2RlIFNpZ25pbmcgQ0EgLSBHMjAeFw0xODA1MTUwMDAw
// SIG // MDBaFw0xOTA1MTYyMzU5NTlaMHgxCzAJBgNVBAYTAlVT
// SIG // MRMwEQYDVQQIDApDYWxpZm9ybmlhMRMwEQYDVQQHDApT
// SIG // YW4gUmFmYWVsMRcwFQYDVQQKDA5BdXRvZGVzaywgSW5j
// SIG // LjENMAsGA1UECwwESVNSQzEXMBUGA1UEAwwOQXV0b2Rl
// SIG // c2ssIEluYy4wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw
// SIG // ggEKAoIBAQCvJkc9LYu+pCsbf8I3gE3zqbTFGUI0VM4n
// SIG // ZQCAZPupl8dgkFYQnLu3MUiexVMgIzAdAm6W81IuppWu
// SIG // WdImvi4EVARJeP6IkyFwC9Yz3LlvVMK1M8sxysDvGjaW
// SIG // 496yVim7+NpivXDhiN4o4fNoLBViJBKhUk9eExCiyMXS
// SIG // l4d4bzj7Mp50UttIv7qk2P9rdE/KN5cEVib/9zVw0jQN
// SIG // 8YZQgvubxJ4DiibaNIHscX1GCEjtLZ3H/yfwejct5GTl
// SIG // pBmUuz/vmvtae26t9rFPDV3RaCgwv7pKhdyWfRTtN2Cy
// SIG // /qJE13xyH3mwPR1FQr2XEdgsFGg6JZivwNMK7jkzG12N
// SIG // AgMBAAGjggE+MIIBOjAJBgNVHRMEAjAAMA4GA1UdDwEB
// SIG // /wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzBhBgNV
// SIG // HSAEWjBYMFYGBmeBDAEEATBMMCMGCCsGAQUFBwIBFhdo
// SIG // dHRwczovL2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcC
// SIG // AjAZDBdodHRwczovL2Quc3ltY2IuY29tL3JwYTAfBgNV
// SIG // HSMEGDAWgBTUwAYiSes5S92T4lyhuEd2CXIDWDArBgNV
// SIG // HR8EJDAiMCCgHqAchhpodHRwOi8vcmIuc3ltY2IuY29t
// SIG // L3JiLmNybDBXBggrBgEFBQcBAQRLMEkwHwYIKwYBBQUH
// SIG // MAGGE2h0dHA6Ly9yYi5zeW1jZC5jb20wJgYIKwYBBQUH
// SIG // MAKGGmh0dHA6Ly9yYi5zeW1jYi5jb20vcmIuY3J0MA0G
// SIG // CSqGSIb3DQEBCwUAA4IBAQCYNtPSL89ulMoOBxnOMgcR
// SIG // f9Y9Bu9D+wwp6M01L7t/+RLBppc6pUDmGa8D/gkeFZNn
// SIG // f9xL1VeMHBTvDgu0UcFI+zow4ryZ4Opk1mh7oPdyRVlL
// SIG // XPPe+7Yq9mBDfcJxZVwSlAHgG7wgVyz2OxrJo4PVPG/e
// SIG // Gm4oy67rGOrS+NUMX0ipSsFFr9tJefxpJXyjBsxfnCUz
// SIG // CwCjDuV27qnrFfb6hcNz8dq0RMotd7A60xiDuVsQvoMd
// SIG // QzXaHaADWmuBLZhzrqgB5d+bu8iZHV5wuGZaL5YitFMP
// SIG // 5uEarPyTDIxazj7X3izJtiHv7BIAsucuwzvRVkvRPO/O
// SIG // MyJYNjid8UBVMIIFRzCCBC+gAwIBAgIQfBs1NUrn23Tn
// SIG // QV8RacprqDANBgkqhkiG9w0BAQsFADCBvTELMAkGA1UE
// SIG // BhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8w
// SIG // HQYDVQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTow
// SIG // OAYDVQQLEzEoYykgMjAwOCBWZXJpU2lnbiwgSW5jLiAt
// SIG // IEZvciBhdXRob3JpemVkIHVzZSBvbmx5MTgwNgYDVQQD
// SIG // Ey9WZXJpU2lnbiBVbml2ZXJzYWwgUm9vdCBDZXJ0aWZp
// SIG // Y2F0aW9uIEF1dGhvcml0eTAeFw0xNDA3MjIwMDAwMDBa
// SIG // Fw0yNDA3MjEyMzU5NTlaMIGEMQswCQYDVQQGEwJVUzEd
// SIG // MBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xHzAd
// SIG // BgNVBAsTFlN5bWFudGVjIFRydXN0IE5ldHdvcmsxNTAz
// SIG // BgNVBAMTLFN5bWFudGVjIENsYXNzIDMgU0hBMjU2IENv
// SIG // ZGUgU2lnbmluZyBDQSAtIEcyMIIBIjANBgkqhkiG9w0B
// SIG // AQEFAAOCAQ8AMIIBCgKCAQEA15VD1NzfZ645+1KktiYx
// SIG // BHDpt45bKro3aTWVj7vAMOeG2HO73+vRdj+KVo7rLUvw
// SIG // VxhOsY2lM9MLdSPVankn3aPT9w6HZbXerRzx9TW0IlGv
// SIG // IqHBXUuQf8BZTqudeakC1x5JsTtNh/7CeKu/71KunK8I
// SIG // 2TnlmlE+aV8wEE5xY2xY4fAgMxsPdL5byxLh24zEgJRy
// SIG // u/ZFmp7BJQv7oxye2KYJcHHswEdMj33D3hnOPu4Eco4X
// SIG // 0//wsgUyGUzTsByf/qV4IEJwQbAmjG8AyDoAEUF6QbCn
// SIG // ipEEoJl49He082Aq5mxQBLcUYP8NUfSoi4T+IdpcXn31
// SIG // KXlPsER0b21y/wIDAQABo4IBeDCCAXQwLgYIKwYBBQUH
// SIG // AQEEIjAgMB4GCCsGAQUFBzABhhJodHRwOi8vcy5zeW1j
// SIG // ZC5jb20wEgYDVR0TAQH/BAgwBgEB/wIBADBmBgNVHSAE
// SIG // XzBdMFsGC2CGSAGG+EUBBxcDMEwwIwYIKwYBBQUHAgEW
// SIG // F2h0dHBzOi8vZC5zeW1jYi5jb20vY3BzMCUGCCsGAQUF
// SIG // BwICMBkaF2h0dHBzOi8vZC5zeW1jYi5jb20vcnBhMDYG
// SIG // A1UdHwQvMC0wK6ApoCeGJWh0dHA6Ly9zLnN5bWNiLmNv
// SIG // bS91bml2ZXJzYWwtcm9vdC5jcmwwEwYDVR0lBAwwCgYI
// SIG // KwYBBQUHAwMwDgYDVR0PAQH/BAQDAgEGMCkGA1UdEQQi
// SIG // MCCkHjAcMRowGAYDVQQDExFTeW1hbnRlY1BLSS0xLTcy
// SIG // NDAdBgNVHQ4EFgQU1MAGIknrOUvdk+JcobhHdglyA1gw
// SIG // HwYDVR0jBBgwFoAUtnf6aUhHn1MS1cLqBzJ2B9GXBxkw
// SIG // DQYJKoZIhvcNAQELBQADggEBAH/ryqfqi3ZC6z6OIFQw
// SIG // 47e53PpIPhbHD0WVEM0nhqNm8wLtcfiqwlWXkXCD+VJ+
// SIG // Umk8yfHglEaAGLuh1KRWpvMdAJHVhvNIh+DLxDRoIF60
// SIG // y/kF7ZyvcFMnueg+flGgaXGL3FHtgDolMp9Er25DKNMh
// SIG // dbuX2IuLjP6pBEYEhfcVnEsRjcQsF/7Vbn+a4laS8Zaz
// SIG // rS359N/aiZnOsjhEwPdHe8olufoqaDObUHLeqJ/UzSwL
// SIG // NL2LMHhA4I2OJxuQbxq+CBWBXesv4lHnUR7JeCnnHmW/
// SIG // OO8BSgEJJA4WxBR5wUE3NNA9kVKUneFo7wjw4mmcZ26Q
// SIG // CxqTcdQmAsPAWiMxghCEMIIQgAIBATCBmTCBhDELMAkG
// SIG // A1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBv
// SIG // cmF0aW9uMR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBO
// SIG // ZXR3b3JrMTUwMwYDVQQDEyxTeW1hbnRlYyBDbGFzcyAz
// SIG // IFNIQTI1NiBDb2RlIFNpZ25pbmcgQ0EgLSBHMgIQRmNn
// SIG // eUwfS2axMLvf4itE1TANBglghkgBZQMEAgEFAKB8MBAG
// SIG // CisGAQQBgjcCAQwxAjAAMBkGCSqGSIb3DQEJAzEMBgor
// SIG // BgEEAYI3AgEEMBwGCisGAQQBgjcCAQsxDjAMBgorBgEE
// SIG // AYI3AgEVMC8GCSqGSIb3DQEJBDEiBCACfKwOxQTqHN3N
// SIG // qRlcqY4sA/YiXcQI08mBgXQFe1wfWjANBgkqhkiG9w0B
// SIG // AQEFAASCAQBW8nFSZQJNgXhbzOfATwk1AReo4uh8V+aE
// SIG // RlQfafveebJVNHy+UEq4yoSNaRNEqoJSPi9UM0HAkElw
// SIG // aOKzRX+TNZo66bUhYram0cYsfmaDk5AwftZhTtpuupug
// SIG // Xac5SzrJI19LB5HWminK8lFV60DBb2T2+Z5foZTcYUx0
// SIG // SZWH9VuTF0+FT3PwA6CNzj3lpl/cXmduT4COXw0tRr1d
// SIG // 88Ifd9CgKBDn6sVi1H7BXWPkmeQSSKvDblx/Zt2CCjz0
// SIG // X8B7BSyKBhVQLqxqPMTuZ2szDOf7PZ2vcWFr7sBj7FAy
// SIG // DVY3TbCtFLj09KSderDsCQIncleSHvrfSWE8RepWBb1b
// SIG // oYIOPTCCDjkGCisGAQQBgjcDAwExgg4pMIIOJQYJKoZI
// SIG // hvcNAQcCoIIOFjCCDhICAQMxDTALBglghkgBZQMEAgEw
// SIG // ggEPBgsqhkiG9w0BCRABBKCB/wSB/DCB+QIBAQYLYIZI
// SIG // AYb4RQEHFwMwMTANBglghkgBZQMEAgEFAAQgs6YSc/2c
// SIG // uIWxVwak/jJRF6eBV69bE0AfpyxZLn8Qwv4CFQCocTBY
// SIG // 1E2Uem6dvK5kJSQnDsm1URgPMjAxOTAzMjUyMTIxNDFa
// SIG // MAMCAR6ggYakgYMwgYAxCzAJBgNVBAYTAlVTMR0wGwYD
// SIG // VQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjEfMB0GA1UE
// SIG // CxMWU3ltYW50ZWMgVHJ1c3QgTmV0d29yazExMC8GA1UE
// SIG // AxMoU3ltYW50ZWMgU0hBMjU2IFRpbWVTdGFtcGluZyBT
// SIG // aWduZXIgLSBHMqCCCoswggU4MIIEIKADAgECAhB7BbHU
// SIG // SWhRRPfJidKcGZ0SMA0GCSqGSIb3DQEBCwUAMIG9MQsw
// SIG // CQYDVQQGEwJVUzEXMBUGA1UEChMOVmVyaVNpZ24sIElu
// SIG // Yy4xHzAdBgNVBAsTFlZlcmlTaWduIFRydXN0IE5ldHdv
// SIG // cmsxOjA4BgNVBAsTMShjKSAyMDA4IFZlcmlTaWduLCBJ
// SIG // bmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkxODA2
// SIG // BgNVBAMTL1ZlcmlTaWduIFVuaXZlcnNhbCBSb290IENl
// SIG // cnRpZmljYXRpb24gQXV0aG9yaXR5MB4XDTE2MDExMjAw
// SIG // MDAwMFoXDTMxMDExMTIzNTk1OVowdzELMAkGA1UEBhMC
// SIG // VVMxHTAbBgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9u
// SIG // MR8wHQYDVQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3Jr
// SIG // MSgwJgYDVQQDEx9TeW1hbnRlYyBTSEEyNTYgVGltZVN0
// SIG // YW1waW5nIENBMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A
// SIG // MIIBCgKCAQEAu1mdWVVPnYxyXRqBoutV87ABrTxxrDKP
// SIG // BWuGmicAMpdqTclkFEspu8LZKbku7GOz4c8/C1aQ+GIb
// SIG // fuumB+Lef15tQDjUkQbnQXx5HMvLrRu/2JWR8/DubPit
// SIG // ljkuf8EnuHg5xYSl7e2vh47Ojcdt6tKYtTofHjmdw/Sa
// SIG // qPSE4cTRfHHGBim0P+SDDSbDewg+TfkKtzNJ/8o71PWy
// SIG // m0vhiJka9cDpMxTW38eA25Hu/rySV3J39M2ozP4J9ZM3
// SIG // vpWIasXc9LFL1M7oCZFftYR5NYp4rBkyjyPBMkEbWQ6p
// SIG // PrHM+dYr77fY5NUdbRE6kvaTyZzjSO67Uw7UNpeGeMWh
// SIG // NwIDAQABo4IBdzCCAXMwDgYDVR0PAQH/BAQDAgEGMBIG
// SIG // A1UdEwEB/wQIMAYBAf8CAQAwZgYDVR0gBF8wXTBbBgtg
// SIG // hkgBhvhFAQcXAzBMMCMGCCsGAQUFBwIBFhdodHRwczov
// SIG // L2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcCAjAZGhdo
// SIG // dHRwczovL2Quc3ltY2IuY29tL3JwYTAuBggrBgEFBQcB
// SIG // AQQiMCAwHgYIKwYBBQUHMAGGEmh0dHA6Ly9zLnN5bWNk
// SIG // LmNvbTA2BgNVHR8ELzAtMCugKaAnhiVodHRwOi8vcy5z
// SIG // eW1jYi5jb20vdW5pdmVyc2FsLXJvb3QuY3JsMBMGA1Ud
// SIG // JQQMMAoGCCsGAQUFBwMIMCgGA1UdEQQhMB+kHTAbMRkw
// SIG // FwYDVQQDExBUaW1lU3RhbXAtMjA0OC0zMB0GA1UdDgQW
// SIG // BBSvY9bKo06FcuCnvEHzKaI4f4B1YjAfBgNVHSMEGDAW
// SIG // gBS2d/ppSEefUxLVwuoHMnYH0ZcHGTANBgkqhkiG9w0B
// SIG // AQsFAAOCAQEAdeqwLdU0GVwyRf4O4dRPpnjBb9fq3dxP
// SIG // 86HIgYj3p48V5kApreZd9KLZVmSEcTAq3R5hF2YgVgaY
// SIG // GY1dcfL4l7wJ/RyRR8ni6I0D+8yQL9YKbE4z7Na0k8hM
// SIG // kGNIOUAhxN3WbomYPLWYl+ipBrcJyY9TV0GQL+EeTU7c
// SIG // yhB4bEJu8LbF+GFcUvVO9muN90p6vvPN/QPX2fYDqA/j
// SIG // U/cKdezGdS6qZoUEmbf4Blfhxg726K/a7JsYH6q54zoA
// SIG // v86KlMsB257HOLsPUqvR45QDYApNoP4nbRQy/D+XQOG/
// SIG // mYnb5DkUvdrk08PqK1qzlVhVBH3HmuwjA42FKtL/rqlh
// SIG // gTCCBUswggQzoAMCAQICEFRY8qrXQdZEvISpe6CWUuYw
// SIG // DQYJKoZIhvcNAQELBQAwdzELMAkGA1UEBhMCVVMxHTAb
// SIG // BgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMR8wHQYD
// SIG // VQQLExZTeW1hbnRlYyBUcnVzdCBOZXR3b3JrMSgwJgYD
// SIG // VQQDEx9TeW1hbnRlYyBTSEEyNTYgVGltZVN0YW1waW5n
// SIG // IENBMB4XDTE3MDEwMjAwMDAwMFoXDTI4MDQwMTIzNTk1
// SIG // OVowgYAxCzAJBgNVBAYTAlVTMR0wGwYDVQQKExRTeW1h
// SIG // bnRlYyBDb3Jwb3JhdGlvbjEfMB0GA1UECxMWU3ltYW50
// SIG // ZWMgVHJ1c3QgTmV0d29yazExMC8GA1UEAxMoU3ltYW50
// SIG // ZWMgU0hBMjU2IFRpbWVTdGFtcGluZyBTaWduZXIgLSBH
// SIG // MjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB
// SIG // AJnz/NgECQOG+ddcppPAQnzqfGPPXQDijvPAkN+PKfUY
// SIG // 6pS3kuXXsKBzgejpCptKfAH/nY+kOacO6kX0Igw6cO05
// SIG // RYvkxRtc8EVoRiQFY3abHPyebCqxVuWKf1JxrvI11UYj
// SIG // BhzPSC0dtM242XYjjhz/Pr+7BlxpB6ZlDvhern0u7U2u
// SIG // Ne/J1wBC/SiVDp9dckIJvMPaRNLtzEeE5PzKLaxYvq73
// SIG // rtlEDQi3wnfWGkNw0W4D3lKSxBAIcdm6IlXyH7ztm507
// SIG // 4l4dTIP/lw97C+dVg07SDeu+1+yubke5n9+l1lG8BFXt
// SIG // /ydwTMntKksT4bG5TA/JAe5VZV9pAnhmyz8CAwEAAaOC
// SIG // AccwggHDMAwGA1UdEwEB/wQCMAAwZgYDVR0gBF8wXTBb
// SIG // BgtghkgBhvhFAQcXAzBMMCMGCCsGAQUFBwIBFhdodHRw
// SIG // czovL2Quc3ltY2IuY29tL2NwczAlBggrBgEFBQcCAjAZ
// SIG // GhdodHRwczovL2Quc3ltY2IuY29tL3JwYTBABgNVHR8E
// SIG // OTA3MDWgM6Axhi9odHRwOi8vdHMtY3JsLndzLnN5bWFu
// SIG // dGVjLmNvbS9zaGEyNTYtdHNzLWNhLmNybDAWBgNVHSUB
// SIG // Af8EDDAKBggrBgEFBQcDCDAOBgNVHQ8BAf8EBAMCB4Aw
// SIG // dwYIKwYBBQUHAQEEazBpMCoGCCsGAQUFBzABhh5odHRw
// SIG // Oi8vdHMtb2NzcC53cy5zeW1hbnRlYy5jb20wOwYIKwYB
// SIG // BQUHMAKGL2h0dHA6Ly90cy1haWEud3Muc3ltYW50ZWMu
// SIG // Y29tL3NoYTI1Ni10c3MtY2EuY2VyMCgGA1UdEQQhMB+k
// SIG // HTAbMRkwFwYDVQQDExBUaW1lU3RhbXAtMjA0OC01MB0G
// SIG // A1UdDgQWBBQJtcH+lnKXKUOayeACuq74/S+69jAfBgNV
// SIG // HSMEGDAWgBSvY9bKo06FcuCnvEHzKaI4f4B1YjANBgkq
// SIG // hkiG9w0BAQsFAAOCAQEAF7MKiOlcWl4gazsKFbJsxamK
// SIG // MofTsfQcU66Fvj+b/9e8t5SFtMdSfpTove1hstSnmeTD
// SIG // yZPBNT0L6GgKXVaYvbEiO9FEete/8G1RMorVI984ATf2
// SIG // 4lMreisRj7dNbHozAxt8awmUF7vk21jUIRNl5+zRJcos
// SIG // dZqcf/zJuypoq8R9tM+jyWyn2cQAnIkKd5H0TaL7MTuG
// SIG // bvbmH1ADhpu/y0Kr5nabcloRAYrG76VvlefdrrrmImXw
// SIG // GFkbEcnNgLfYl0cfQgj4rHEfsEZTs9Sy1aOrUHVIEheC
// SIG // rc/gQU8yfs2VHL+Rigg9pKdnApbfJEyl0EHAgmCjihcy
// SIG // S9O8z6S0jDGCAlowggJWAgEBMIGLMHcxCzAJBgNVBAYT
// SIG // AlVTMR0wGwYDVQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlv
// SIG // bjEfMB0GA1UECxMWU3ltYW50ZWMgVHJ1c3QgTmV0d29y
// SIG // azEoMCYGA1UEAxMfU3ltYW50ZWMgU0hBMjU2IFRpbWVT
// SIG // dGFtcGluZyBDQQIQVFjyqtdB1kS8hKl7oJZS5jALBglg
// SIG // hkgBZQMEAgGggaQwGgYJKoZIhvcNAQkDMQ0GCyqGSIb3
// SIG // DQEJEAEEMBwGCSqGSIb3DQEJBTEPFw0xOTAzMjUyMTIx
// SIG // NDFaMC8GCSqGSIb3DQEJBDEiBCCHQBbMK3aHbqHye6gV
// SIG // RAUKPxWyU/nnf8P5R0GoSEkwMTA3BgsqhkiG9w0BCRAC
// SIG // LzEoMCYwJDAiBCDPesF60Efs1f3DaCIDGxLU7weLbytM
// SIG // XmukH4/yz0utZzALBgkqhkiG9w0BAQEEggEAXYWiGsbm
// SIG // /pX7bZlWQgWFpfm+VovqndXjhGw6TDaRW2jA5b+OG2x4
// SIG // +w0ottUBwaAum5rNLjrRMxIp/WfeTe71dkrAhZPer1jo
// SIG // /OgyLXpeksWeeMK4Q+j3E0vb9jGiNFfCdmMAHEzNTx2x
// SIG // AOUfOlRgRYMoJ6LZypM8N+bi06HTT9UPKm61qLXVTekS
// SIG // EzJsCyHEfaMlQSUjdZved9EDzi+sGEqdlOgdvBiBZEuq
// SIG // u5MhW/kKENcyZHRCJ50itWzpJD3ZNXkR1ieM+cPjWCjZ
// SIG // 9Wjx3ByrBZmZqeO5LuISXyeUsuYGG/vWAXhbfvyki0mL
// SIG // ceJSNCkQ/afjHlJurFgFuA2rgg==
// SIG // End signature block
